Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.lcm.impl
Class LCMPackageImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EPackageImpl
                                  org.eclipse.ohf.ihe.common.ebxml._3._0.lcm.impl.LCMPackageImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder, LCMPackage

    public class LCMPackageImpl

extends org.eclipse.emf.ecore.impl.EPackageImpl
implements LCMPackage

An implementation of the model Package.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.lcm.LCMPackage
`LCMPackage.Literals`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.lcm.LCMPackage
`ACCEPT_OBJECTS_REQUEST_TYPE, ACCEPT_OBJECTS_REQUEST_TYPE__COMMENT, ACCEPT_OBJECTS_REQUEST_TYPE__CORRELATION_ID, ACCEPT_OBJECTS_REQUEST_TYPE__ID, ACCEPT_OBJECTS_REQUEST_TYPE__REQUEST_SLOT_LIST, ACCEPT_OBJECTS_REQUEST_TYPE_FEATURE_COUNT, APPROVE_OBJECTS_REQUEST_TYPE, APPROVE_OBJECTS_REQUEST_TYPE__ADHOC_QUERY, APPROVE_OBJECTS_REQUEST_TYPE__COMMENT, APPROVE_OBJECTS_REQUEST_TYPE__ID, APPROVE_OBJECTS_REQUEST_TYPE__OBJECT_REF_LIST, APPROVE_OBJECTS_REQUEST_TYPE__REQUEST_SLOT_LIST, APPROVE_OBJECTS_REQUEST_TYPE_FEATURE_COUNT, DEPRECATE_OBJECTS_REQUEST_TYPE, DEPRECATE_OBJECTS_REQUEST_TYPE__ADHOC_QUERY, DEPRECATE_OBJECTS_REQUEST_TYPE__COMMENT, DEPRECATE_OBJECTS_REQUEST_TYPE__ID, DEPRECATE_OBJECTS_REQUEST_TYPE__OBJECT_REF_LIST, DEPRECATE_OBJECTS_REQUEST_TYPE__REQUEST_SLOT_LIST, DEPRECATE_OBJECTS_REQUEST_TYPE_FEATURE_COUNT, DOCUMENT_ROOT, DOCUMENT_ROOT__ACCEPT_OBJECTS_REQUEST, DOCUMENT_ROOT__APPROVE_OBJECTS_REQUEST, DOCUMENT_ROOT__DEPRECATE_OBJECTS_REQUEST, DOCUMENT_ROOT__MIXED, DOCUMENT_ROOT__RELOCATE_OBJECTS_REQUEST, DOCUMENT_ROOT__REMOVE_OBJECTS_REQUEST, DOCUMENT_ROOT__SUBMIT_OBJECTS_REQUEST, DOCUMENT_ROOT__UNDEPRECATE_OBJECTS_REQUEST, DOCUMENT_ROOT__UPDATE_OBJECTS_REQUEST, DOCUMENT_ROOT__XMLNS_PREFIX_MAP, DOCUMENT_ROOT__XSI_SCHEMA_LOCATION, DOCUMENT_ROOT_FEATURE_COUNT, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, RELOCATE_OBJECTS_REQUEST_TYPE, RELOCATE_OBJECTS_REQUEST_TYPE__ADHOC_QUERY, RELOCATE_OBJECTS_REQUEST_TYPE__COMMENT, RELOCATE_OBJECTS_REQUEST_TYPE__DESTINATION_REGISTRY, RELOCATE_OBJECTS_REQUEST_TYPE__ID, RELOCATE_OBJECTS_REQUEST_TYPE__OWNER_AT_DESTINATION, RELOCATE_OBJECTS_REQUEST_TYPE__OWNER_AT_SOURCE, RELOCATE_OBJECTS_REQUEST_TYPE__REQUEST_SLOT_LIST, RELOCATE_OBJECTS_REQUEST_TYPE__SOURCE_REGISTRY, RELOCATE_OBJECTS_REQUEST_TYPE_FEATURE_COUNT, REMOVE_OBJECTS_REQUEST_TYPE, REMOVE_OBJECTS_REQUEST_TYPE__ADHOC_QUERY, REMOVE_OBJECTS_REQUEST_TYPE__COMMENT, REMOVE_OBJECTS_REQUEST_TYPE__DELETION_SCOPE, REMOVE_OBJECTS_REQUEST_TYPE__ID, REMOVE_OBJECTS_REQUEST_TYPE__OBJECT_REF_LIST, REMOVE_OBJECTS_REQUEST_TYPE__REQUEST_SLOT_LIST, REMOVE_OBJECTS_REQUEST_TYPE_FEATURE_COUNT, SUBMIT_OBJECTS_REQUEST_TYPE, SUBMIT_OBJECTS_REQUEST_TYPE__COMMENT, SUBMIT_OBJECTS_REQUEST_TYPE__ID, SUBMIT_OBJECTS_REQUEST_TYPE__REGISTRY_OBJECT_LIST, SUBMIT_OBJECTS_REQUEST_TYPE__REQUEST_SLOT_LIST, SUBMIT_OBJECTS_REQUEST_TYPE_FEATURE_COUNT, UNDEPRECATE_OBJECTS_REQUEST_TYPE, UNDEPRECATE_OBJECTS_REQUEST_TYPE__ADHOC_QUERY, UNDEPRECATE_OBJECTS_REQUEST_TYPE__COMMENT, UNDEPRECATE_OBJECTS_REQUEST_TYPE__ID, UNDEPRECATE_OBJECTS_REQUEST_TYPE__OBJECT_REF_LIST, UNDEPRECATE_OBJECTS_REQUEST_TYPE__REQUEST_SLOT_LIST, UNDEPRECATE_OBJECTS_REQUEST_TYPE_FEATURE_COUNT, UPDATE_OBJECTS_REQUEST_TYPE, UPDATE_OBJECTS_REQUEST_TYPE__COMMENT, UPDATE_OBJECTS_REQUEST_TYPE__ID, UPDATE_OBJECTS_REQUEST_TYPE__REGISTRY_OBJECT_LIST, UPDATE_OBJECTS_REQUEST_TYPE__REQUEST_SLOT_LIST, UPDATE_OBJECTS_REQUEST_TYPE_FEATURE_COUNT`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`void` | `createPackageContents()` Creates the meta-model objects for the package.
`org.eclipse.emf.ecore.EAttribute` | `getAcceptObjectsRequestType_CorrelationId()`
`org.eclipse.emf.ecore.EClass` | `getAcceptObjectsRequestType()`
`org.eclipse.emf.ecore.EReference` | `getApproveObjectsRequestType_AdhocQuery()`
`org.eclipse.emf.ecore.EReference` | `getApproveObjectsRequestType_ObjectRefList()`
`org.eclipse.emf.ecore.EClass` | `getApproveObjectsRequestType()`
`org.eclipse.emf.ecore.EReference` | `getDeprecateObjectsRequestType_AdhocQuery()`
`org.eclipse.emf.ecore.EReference` | `getDeprecateObjectsRequestType_ObjectRefList()`
`org.eclipse.emf.ecore.EClass` | `getDeprecateObjectsRequestType()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_AcceptObjectsRequest()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ApproveObjectsRequest()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_DeprecateObjectsRequest()`
`org.eclipse.emf.ecore.EAttribute` | `getDocumentRoot_Mixed()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_RelocateObjectsRequest()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_RemoveObjectsRequest()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_SubmitObjectsRequest()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_UndeprecateObjectsRequest()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_UpdateObjectsRequest()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_XMLNSPrefixMap()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_XSISchemaLocation()`
`org.eclipse.emf.ecore.EClass` | `getDocumentRoot()`
`LCMFactory` | `getLCMFactory()`
`org.eclipse.emf.ecore.EReference` | `getRelocateObjectsRequestType_AdhocQuery()`
`org.eclipse.emf.ecore.EReference` | `getRelocateObjectsRequestType_DestinationRegistry()`
`org.eclipse.emf.ecore.EReference` | `getRelocateObjectsRequestType_OwnerAtDestination()`
`org.eclipse.emf.ecore.EReference` | `getRelocateObjectsRequestType_OwnerAtSource()`
`org.eclipse.emf.ecore.EReference` | `getRelocateObjectsRequestType_SourceRegistry()`
`org.eclipse.emf.ecore.EClass` | `getRelocateObjectsRequestType()`
`org.eclipse.emf.ecore.EReference` | `getRemoveObjectsRequestType_AdhocQuery()`
`org.eclipse.emf.ecore.EAttribute` | `getRemoveObjectsRequestType_DeletionScope()`
`org.eclipse.emf.ecore.EReference` | `getRemoveObjectsRequestType_ObjectRefList()`
`org.eclipse.emf.ecore.EClass` | `getRemoveObjectsRequestType()`
`org.eclipse.emf.ecore.EReference` | `getSubmitObjectsRequestType_RegistryObjectList()`
`org.eclipse.emf.ecore.EClass` | `getSubmitObjectsRequestType()`
`org.eclipse.emf.ecore.EReference` | `getUndeprecateObjectsRequestType_AdhocQuery()`
`org.eclipse.emf.ecore.EReference` | `getUndeprecateObjectsRequestType_ObjectRefList()`
`org.eclipse.emf.ecore.EClass` | `getUndeprecateObjectsRequestType()`
`org.eclipse.emf.ecore.EReference` | `getUpdateObjectsRequestType_RegistryObjectList()`
`org.eclipse.emf.ecore.EClass` | `getUpdateObjectsRequestType()`
`static LCMPackage` | `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` | `initializePackageContents()` Complete the initialization of the package and its meta-model.

Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`basicGetESuperPackage, basicSetEFactoryInstance, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eUnset, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, setEFactoryInstance, setExtendedMetaData, setNamespaceURI, setNsPrefix, setNsURI, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eURIFragmentSegment, getEAnnotation, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eContents, eCrossReferences, eIsProxy, eProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### init

    public static LCMPackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends. Simple dependencies are satisfied by calling this method on all dependent packages before doing anything else. This method drives initialization for interdependent packages directly, in parallel with this package, itself.

  Of this package and its interdependencies, all packages which have not yet been registered by their URI values are first created and registered. The packages are then initialized in two steps: meta-model objects for all of the packages are created before any are initialized, since one package's meta-model objects may refer to those of another.

  Invocation of this method will not affect any packages that have already been initialized.

  See Also:
    `LCMPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

### getAcceptObjectsRequestType

    public org.eclipse.emf.ecore.EClass getAcceptObjectsRequestType()

  Specified by:
    `getAcceptObjectsRequestType` in interface `LCMPackage`
  Returns:
    the meta object for class 'Accept Objects Request Type'.
  See Also:
    `AcceptObjectsRequestType`

### getAcceptObjectsRequestType_CorrelationId

    public org.eclipse.emf.ecore.EAttribute getAcceptObjectsRequestType_CorrelationId()

  Specified by:
    `getAcceptObjectsRequestType_CorrelationId` in interface `LCMPackage`
  Returns:
    the meta object for the attribute 'Correlation Id'.
  See Also:
    `AcceptObjectsRequestType.getCorrelationId()`, `LCMPackage.getAcceptObjectsRequestType()`

### getApproveObjectsRequestType

    public org.eclipse.emf.ecore.EClass getApproveObjectsRequestType()

  Specified by:
    `getApproveObjectsRequestType` in interface `LCMPackage`
  Returns:
    the meta object for class 'Approve Objects Request Type'.
  See Also:
    `ApproveObjectsRequestType`

### getApproveObjectsRequestType_AdhocQuery

    public org.eclipse.emf.ecore.EReference getApproveObjectsRequestType_AdhocQuery()

  Specified by:
    `getApproveObjectsRequestType_AdhocQuery` in interface `LCMPackage`
  Returns:
    the meta object for the containment reference 'Adhoc Query'.
  See Also:
    `ApproveObjectsRequestType.getAdhocQuery()`, `LCMPackage.getApproveObjectsRequestType()`

### getApproveObjectsRequestType_ObjectRefList

    public org.eclipse.emf.ecore.EReference getApproveObjectsRequestType_ObjectRefList()

  Specified by:
    `getApproveObjectsRequestType_ObjectRefList` in interface `LCMPackage`
  Returns:
    the meta object for the containment reference 'Object Ref List'.
  See Also:
    `ApproveObjectsRequestType.getObjectRefList()`, `LCMPackage.getApproveObjectsRequestType()`

### getDeprecateObjectsRequestType

    public org.eclipse.emf.ecore.EClass getDeprecateObjectsRequestType()

  Specified by:
    `getDeprecateObjectsRequestType` in interface `LCMPackage`
  Returns:
    the meta object for class 'Deprecate Objects Request Type'.
  See Also:
    `DeprecateObjectsRequestType`

### getDeprecateObjectsRequestType_AdhocQuery

    public org.eclipse.emf.ecore.EReference getDeprecateObjectsRequestType_AdhocQuery()

  Specified by:
    `getDeprecateObjectsRequestType_AdhocQuery` in interface `LCMPackage`
  Returns:
    the meta object for the containment reference 'Adhoc Query'.
  See Also:
    `DeprecateObjectsRequestType.getAdhocQuery()`, `LCMPackage.getDeprecateObjectsRequestType()`

### getDeprecateObjectsRequestType_ObjectRefList

    public org.eclipse.emf.ecore.EReference getDeprecateObjectsRequestType_ObjectRefList()

  Specified by:
    `getDeprecateObjectsRequestType_ObjectRefList` in interface `LCMPackage`
  Returns:
    the meta object for the containment reference 'Object Ref List'.
  See Also:
    `DeprecateObjectsRequestType.getObjectRefList()`, `LCMPackage.getDeprecateObjectsRequestType()`

### getDocumentRoot

    public org.eclipse.emf.ecore.EClass getDocumentRoot()

  Specified by:
    `getDocumentRoot` in interface `LCMPackage`
  Returns:
    the meta object for class 'Document Root'.
  See Also:
    `DocumentRoot`

### getDocumentRoot_Mixed

    public org.eclipse.emf.ecore.EAttribute getDocumentRoot_Mixed()

  Specified by:
    `getDocumentRoot_Mixed` in interface `LCMPackage`
  Returns:
    the meta object for the attribute list 'Mixed'.
  See Also:
    `DocumentRoot.getMixed()`, `LCMPackage.getDocumentRoot()`

### getDocumentRoot_XMLNSPrefixMap

    public org.eclipse.emf.ecore.EReference getDocumentRoot_XMLNSPrefixMap()

  Specified by:
    `getDocumentRoot_XMLNSPrefixMap` in interface `LCMPackage`
  Returns:
    the meta object for the map 'XMLNS Prefix Map'.
  See Also:
    `DocumentRoot.getXMLNSPrefixMap()`, `LCMPackage.getDocumentRoot()`

### getDocumentRoot_XSISchemaLocation

    public org.eclipse.emf.ecore.EReference getDocumentRoot_XSISchemaLocation()

  Specified by:
    `getDocumentRoot_XSISchemaLocation` in interface `LCMPackage`
  Returns:
    the meta object for the map 'XSI Schema Location'.
  See Also:
    `DocumentRoot.getXSISchemaLocation()`, `LCMPackage.getDocumentRoot()`

### getDocumentRoot_AcceptObjectsRequest

    public org.eclipse.emf.ecore.EReference getDocumentRoot_AcceptObjectsRequest()

  Specified by:
    `getDocumentRoot_AcceptObjectsRequest` in interface `LCMPackage`
  Returns:
    the meta object for the containment reference 'Accept Objects Request'.
  See Also:
    `DocumentRoot.getAcceptObjectsRequest()`, `LCMPackage.getDocumentRoot()`

### getDocumentRoot_ApproveObjectsRequest

    public org.eclipse.emf.ecore.EReference getDocumentRoot_ApproveObjectsRequest()

  Specified by:
    `getDocumentRoot_ApproveObjectsRequest` in interface `LCMPackage`
  Returns:
    the meta object for the containment reference 'Approve Objects Request'.
  See Also:
    `DocumentRoot.getApproveObjectsRequest()`, `LCMPackage.getDocumentRoot()`

### getDocumentRoot_DeprecateObjectsRequest

    public org.eclipse.emf.ecore.EReference getDocumentRoot_DeprecateObjectsRequest()

  Specified by:
    `getDocumentRoot_DeprecateObjectsRequest` in interface `LCMPackage`
  Returns:
    the meta object for the containment reference 'Deprecate Objects Request'.
  See Also:
    `DocumentRoot.getDeprecateObjectsRequest()`, `LCMPackage.getDocumentRoot()`

### getDocumentRoot_RelocateObjectsRequest

    public org.eclipse.emf.ecore.EReference getDocumentRoot_RelocateObjectsRequest()

  Specified by:
    `getDocumentRoot_RelocateObjectsRequest` in interface `LCMPackage`
  Returns:
    the meta object for the containment reference 'Relocate Objects Request'.
  See Also:
    `DocumentRoot.getRelocateObjectsRequest()`, `LCMPackage.getDocumentRoot()`

### getDocumentRoot_RemoveObjectsRequest

    public org.eclipse.emf.ecore.EReference getDocumentRoot_RemoveObjectsRequest()

  Specified by:
    `getDocumentRoot_RemoveObjectsRequest` in interface `LCMPackage`
  Returns:
    the meta object for the containment reference 'Remove Objects Request'.
  See Also:
    `DocumentRoot.getRemoveObjectsRequest()`, `LCMPackage.getDocumentRoot()`

### getDocumentRoot_SubmitObjectsRequest

    public org.eclipse.emf.ecore.EReference getDocumentRoot_SubmitObjectsRequest()

  Specified by:
    `getDocumentRoot_SubmitObjectsRequest` in interface `LCMPackage`
  Returns:
    the meta object for the containment reference 'Submit Objects Request'.
  See Also:
    `DocumentRoot.getSubmitObjectsRequest()`, `LCMPackage.getDocumentRoot()`

### getDocumentRoot_UndeprecateObjectsRequest

    public org.eclipse.emf.ecore.EReference getDocumentRoot_UndeprecateObjectsRequest()

  Specified by:
    `getDocumentRoot_UndeprecateObjectsRequest` in interface `LCMPackage`
  Returns:
    the meta object for the containment reference 'Undeprecate Objects Request'.
  See Also:
    `DocumentRoot.getUndeprecateObjectsRequest()`, `LCMPackage.getDocumentRoot()`

### getDocumentRoot_UpdateObjectsRequest

    public org.eclipse.emf.ecore.EReference getDocumentRoot_UpdateObjectsRequest()

  Specified by:
    `getDocumentRoot_UpdateObjectsRequest` in interface `LCMPackage`
  Returns:
    the meta object for the containment reference 'Update Objects Request'.
  See Also:
    `DocumentRoot.getUpdateObjectsRequest()`, `LCMPackage.getDocumentRoot()`

### getRelocateObjectsRequestType

    public org.eclipse.emf.ecore.EClass getRelocateObjectsRequestType()

  Specified by:
    `getRelocateObjectsRequestType` in interface `LCMPackage`
  Returns:
    the meta object for class 'Relocate Objects Request Type'.
  See Also:
    `RelocateObjectsRequestType`

### getRelocateObjectsRequestType_AdhocQuery

    public org.eclipse.emf.ecore.EReference getRelocateObjectsRequestType_AdhocQuery()

  Specified by:
    `getRelocateObjectsRequestType_AdhocQuery` in interface `LCMPackage`
  Returns:
    the meta object for the containment reference 'Adhoc Query'.
  See Also:
    `RelocateObjectsRequestType.getAdhocQuery()`, `LCMPackage.getRelocateObjectsRequestType()`

### getRelocateObjectsRequestType_SourceRegistry

    public org.eclipse.emf.ecore.EReference getRelocateObjectsRequestType_SourceRegistry()

  Specified by:
    `getRelocateObjectsRequestType_SourceRegistry` in interface `LCMPackage`
  Returns:
    the meta object for the containment reference 'Source Registry'.
  See Also:
    `RelocateObjectsRequestType.getSourceRegistry()`, `LCMPackage.getRelocateObjectsRequestType()`

### getRelocateObjectsRequestType_DestinationRegistry

    public org.eclipse.emf.ecore.EReference getRelocateObjectsRequestType_DestinationRegistry()

  Specified by:
    `getRelocateObjectsRequestType_DestinationRegistry` in interface `LCMPackage`
  Returns:
    the meta object for the containment reference 'Destination Registry'.
  See Also:
    `RelocateObjectsRequestType.getDestinationRegistry()`, `LCMPackage.getRelocateObjectsRequestType()`

### getRelocateObjectsRequestType_OwnerAtSource

    public org.eclipse.emf.ecore.EReference getRelocateObjectsRequestType_OwnerAtSource()

  Specified by:
    `getRelocateObjectsRequestType_OwnerAtSource` in interface `LCMPackage`
  Returns:
    the meta object for the containment reference 'Owner At Source'.
  See Also:
    `RelocateObjectsRequestType.getOwnerAtSource()`, `LCMPackage.getRelocateObjectsRequestType()`

### getRelocateObjectsRequestType_OwnerAtDestination

    public org.eclipse.emf.ecore.EReference getRelocateObjectsRequestType_OwnerAtDestination()

  Specified by:
    `getRelocateObjectsRequestType_OwnerAtDestination` in interface `LCMPackage`
  Returns:
    the meta object for the containment reference 'Owner At Destination'.
  See Also:
    `RelocateObjectsRequestType.getOwnerAtDestination()`, `LCMPackage.getRelocateObjectsRequestType()`

### getRemoveObjectsRequestType

    public org.eclipse.emf.ecore.EClass getRemoveObjectsRequestType()

  Specified by:
    `getRemoveObjectsRequestType` in interface `LCMPackage`
  Returns:
    the meta object for class 'Remove Objects Request Type'.
  See Also:
    `RemoveObjectsRequestType`

### getRemoveObjectsRequestType_AdhocQuery

    public org.eclipse.emf.ecore.EReference getRemoveObjectsRequestType_AdhocQuery()

  Specified by:
    `getRemoveObjectsRequestType_AdhocQuery` in interface `LCMPackage`
  Returns:
    the meta object for the containment reference 'Adhoc Query'.
  See Also:
    `RemoveObjectsRequestType.getAdhocQuery()`, `LCMPackage.getRemoveObjectsRequestType()`

### getRemoveObjectsRequestType_ObjectRefList

    public org.eclipse.emf.ecore.EReference getRemoveObjectsRequestType_ObjectRefList()

  Specified by:
    `getRemoveObjectsRequestType_ObjectRefList` in interface `LCMPackage`
  Returns:
    the meta object for the containment reference 'Object Ref List'.
  See Also:
    `RemoveObjectsRequestType.getObjectRefList()`, `LCMPackage.getRemoveObjectsRequestType()`

### getRemoveObjectsRequestType_DeletionScope

    public org.eclipse.emf.ecore.EAttribute getRemoveObjectsRequestType_DeletionScope()

  Specified by:
    `getRemoveObjectsRequestType_DeletionScope` in interface `LCMPackage`
  Returns:
    the meta object for the attribute 'Deletion Scope'.
  See Also:
    `RemoveObjectsRequestType.getDeletionScope()`, `LCMPackage.getRemoveObjectsRequestType()`

### getSubmitObjectsRequestType

    public org.eclipse.emf.ecore.EClass getSubmitObjectsRequestType()

  Specified by:
    `getSubmitObjectsRequestType` in interface `LCMPackage`
  Returns:
    the meta object for class 'Submit Objects Request Type'.
  See Also:
    `SubmitObjectsRequestType`

### getSubmitObjectsRequestType_RegistryObjectList

    public org.eclipse.emf.ecore.EReference getSubmitObjectsRequestType_RegistryObjectList()

  Specified by:
    `getSubmitObjectsRequestType_RegistryObjectList` in interface `LCMPackage`
  Returns:
    the meta object for the containment reference 'Registry Object List'.
  See Also:
    `SubmitObjectsRequestType.getRegistryObjectList()`, `LCMPackage.getSubmitObjectsRequestType()`

### getUndeprecateObjectsRequestType

    public org.eclipse.emf.ecore.EClass getUndeprecateObjectsRequestType()

  Specified by:
    `getUndeprecateObjectsRequestType` in interface `LCMPackage`
  Returns:
    the meta object for class 'Undeprecate Objects Request Type'.
  See Also:
    `UndeprecateObjectsRequestType`

### getUndeprecateObjectsRequestType_AdhocQuery

    public org.eclipse.emf.ecore.EReference getUndeprecateObjectsRequestType_AdhocQuery()

  Specified by:
    `getUndeprecateObjectsRequestType_AdhocQuery` in interface `LCMPackage`
  Returns:
    the meta object for the containment reference 'Adhoc Query'.
  See Also:
    `UndeprecateObjectsRequestType.getAdhocQuery()`, `LCMPackage.getUndeprecateObjectsRequestType()`

### getUndeprecateObjectsRequestType_ObjectRefList

    public org.eclipse.emf.ecore.EReference getUndeprecateObjectsRequestType_ObjectRefList()

  Specified by:
    `getUndeprecateObjectsRequestType_ObjectRefList` in interface `LCMPackage`
  Returns:
    the meta object for the containment reference 'Object Ref List'.
  See Also:
    `UndeprecateObjectsRequestType.getObjectRefList()`, `LCMPackage.getUndeprecateObjectsRequestType()`

### getUpdateObjectsRequestType

    public org.eclipse.emf.ecore.EClass getUpdateObjectsRequestType()

  Specified by:
    `getUpdateObjectsRequestType` in interface `LCMPackage`
  Returns:
    the meta object for class 'Update Objects Request Type'.
  See Also:
    `UpdateObjectsRequestType`

### getUpdateObjectsRequestType_RegistryObjectList

    public org.eclipse.emf.ecore.EReference getUpdateObjectsRequestType_RegistryObjectList()

  Specified by:
    `getUpdateObjectsRequestType_RegistryObjectList` in interface `LCMPackage`
  Returns:
    the meta object for the containment reference 'Registry Object List'.
  See Also:
    `UpdateObjectsRequestType.getRegistryObjectList()`, `LCMPackage.getUpdateObjectsRequestType()`

### getLCMFactory

    public LCMFactory getLCMFactory()

  Specified by:
    `getLCMFactory` in interface `LCMPackage`
  Returns:
    the factory that creates the instances of the model.

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD